MWAWCellContent::FormulaInstruction Struct Reference documentation

Public Types | Public Member Functions | Public Attributes | Friends | List of all members
MWAWCellContent::FormulaInstruction Struct Reference

small class use to define a formula instruction More...

`#include <MWAWCell.hxx>`

## Public Types
enum | Type { F_Operator, F_Function, F_Cell, F_CellList, F_Long, F_Double, F_Text }

## Public Member Functions
| FormulaInstruction ()
| constructor More...
librevenge::RVNGPropertyList | getPropertyList (MWAWFontConverter &fontConverter, int fontId) const
| returns a proplist corresponding to a instruction using a font converter to send the text More...

## Public Attributes
Type | m_type
| the type More...
std::string | m_content
| the content ( if type == F_Operator or type = F_Function or type==F_Text) More...
double | m_longValue
| value ( if type==F_Long ) More...
double | m_doubleValue
| value ( if type==F_Double ) More...
MWAWVec2i | m_position [2]
| cell position ( if type==F_Cell or F_CellList ) More...
MWAWVec2b | m_positionRelative [2]
| relative cell position ( if type==F_Cell or F_CellList ) More...
std::string | m_sheet
| the sheet name (if not empty) More...

## Friends
std::ostream & | operator<< (std::ostream &o, FormulaInstruction const &inst)
| operator<< More...

## Detailed Description

small class use to define a formula instruction

## Member Enumeration Documentation

## ◆ Type

enum MWAWCellContent::FormulaInstruction::Type

Enumerator
F_Operator |
F_Function |
F_Cell |
F_CellList |
F_Long |
F_Double |
F_Text |

## Constructor & Destructor Documentation

## ◆ FormulaInstruction()

MWAWCellContent::FormulaInstruction::FormulaInstruction | ( |  | ) |
| inline

constructor

## Member Function Documentation

## ◆ getPropertyList()

librevenge::RVNGPropertyList MWAWCellContent::FormulaInstruction::getPropertyList | ( | MWAWFontConverter & | fontConverter,
|  | int | fontId
| ) |  | const

returns a proplist corresponding to a instruction using a font converter to send the text

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | MWAWCellContent::FormulaInstruction const & | inst
| ) |  |
| friend

operator<<

## Member Data Documentation

## ◆ m_content

std::string MWAWCellContent::FormulaInstruction::m_content

the content ( if type == F_Operator or type = F_Function or type==F_Text)

Referenced by operator<<(), ClarisWksDbaseContent::readFormula(), BeagleWksStructManager::readFormula(), WingzParser::readFormula(), GreatWksDocument::readFormula(), RagTimeSpreadsheet::readFormula(), MsWksDocument::readFormula(), RagTimeSpreadsheet::readFormulaV2(), GreatWksDBParserInternal::Field::updateCell(), and MsWksDBParserInternal::SerialFormula::updateContent().

## ◆ m_doubleValue

double MWAWCellContent::FormulaInstruction::m_doubleValue

value ( if type==F_Double )

Referenced by operator<<(), ClarisWksDbaseContent::readFormula(), BeagleWksStructManager::readFormula(), WingzParser::readFormula(), GreatWksDocument::readFormula(), RagTimeSpreadsheet::readFormula(), MsWksDocument::readFormula(), and RagTimeSpreadsheet::readFormulaV2().

## ◆ m_longValue

double MWAWCellContent::FormulaInstruction::m_longValue

value ( if type==F_Long )

Referenced by operator<<(), ClarisWksDbaseContent::readFormula(), BeagleWksStructManager::readFormula(), GreatWksDocument::readFormula(), RagTimeSpreadsheet::readFormula(), RagTimeSpreadsheet::readFormulaV2(), and MsWksDBParserInternal::SerialFormula::updateContent().

## ◆ m_position

MWAWVec2i MWAWCellContent::FormulaInstruction::m_position[2]

cell position ( if type==F_Cell or F_CellList )

Referenced by operator<<(), BeagleWksStructManager::readCellInFormula(), GreatWksDocument::readCellInFormula(), RagTimeSpreadsheet::readCellInFormula(), ClarisWksDbaseContent::readCellInFormula(), MsWksDocument::readCellInFormula(), RagTimeSpreadsheet::readCellInFormulaV2(), ClarisWksDbaseContent::readFormula(), BeagleWksStructManager::readFormula(), WingzParser::readFormula(), MsWksDocument::readFormula(), WingzParser::readSpreadsheetCellName(), and GreatWksDBParserInternal::Field::updateCell().

## ◆ m_positionRelative

MWAWVec2b MWAWCellContent::FormulaInstruction::m_positionRelative[2]

relative cell position ( if type==F_Cell or F_CellList )

Referenced by operator<<(), BeagleWksStructManager::readCellInFormula(), GreatWksDocument::readCellInFormula(), RagTimeSpreadsheet::readCellInFormula(), ClarisWksDbaseContent::readCellInFormula(), MsWksDocument::readCellInFormula(), RagTimeSpreadsheet::readCellInFormulaV2(), ClarisWksDbaseContent::readFormula(), BeagleWksStructManager::readFormula(), WingzParser::readFormula(), GreatWksDocument::readFormula(), MsWksDocument::readFormula(), WingzParser::readSpreadsheetCellName(), and GreatWksDBParserInternal::Field::updateCell().

## ◆ m_sheet

std::string MWAWCellContent::FormulaInstruction::m_sheet

the sheet name (if not empty)

Referenced by operator<<(), RagTimeSpreadsheet::readCellInFormula(), and RagTimeSpreadsheet::readCellInFormulaV2().

## ◆ m_type

Type MWAWCellContent::FormulaInstruction::m_type

the type

Referenced by operator<<(), BeagleWksStructManager::readCellInFormula(), GreatWksDocument::readCellInFormula(), RagTimeSpreadsheet::readCellInFormula(), ClarisWksDbaseContent::readCellInFormula(), MsWksDocument::readCellInFormula(), RagTimeSpreadsheet::readCellInFormulaV2(), ClarisWksDbaseContent::readFormula(), BeagleWksStructManager::readFormula(), WingzParser::readFormula(), GreatWksDocument::readFormula(), RagTimeSpreadsheet::readFormula(), MsWksDocument::readFormula(), RagTimeSpreadsheet::readFormulaV2(), WingzParser::readSpreadsheetCellName(), GreatWksDBParserInternal::Field::updateCell(), and MsWksDBParserInternal::SerialFormula::updateContent().

The documentation for this struct was generated from the following files:

- MWAWCell.hxx
- MWAWCell.cxx